# -*- coding: utf-8 -*-
from setuphelpers import *


def update_package():
    import json

    proxies = {}
    if isfile(makepath(user_local_appdata(), "waptconsole", "waptconsole.ini")):
        proxywapt = inifile_readstring(makepath(user_local_appdata(), "waptconsole", "waptconsole.ini"), "global", "http_proxy")
        if proxywapt:
            proxies = {"http": proxywapt, "https": proxywapt}

    windows_release = json.loads(wgets("https://sourceforge.net/projects/scribus/best_release.json", proxies=proxies))["platform_releases"]["windows"]
    lastversion = windows_release["filename"].split("/")[-1].split("-")[1]

    binaryfile = "scribus-%s-windows-x64.exe" % lastversion
    urlfile = "https://netcologne.dl.sourceforge.net/project/scribus/scribus/%s/%s" % (lastversion, binaryfile)

    for exe in glob.glob("*.exe"):
        if exe != binaryfile:
            remove_file(exe)

    if not isfile(binaryfile):
        wget(urlfile, binaryfile, proxies=proxies)

    control.version = lastversion + "-20"
    control.save_control_to_wapt()
